ru.bitel.bgbilling.plugins.cashcheck.server

## Interface CheckBuilder

- Deprecated.
  use CheckMaker

      @Deprecated
      public interface CheckBuilder

  Интерфейс для динамического кода - формирование чека.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPayment(Payment payment, Check check, Printer printer)` Deprecated. Добавление позиции в чек.
    `void` | `endCreate(int cid, Check check, Printer printer)` Deprecated. использовать вариант с несколькими cids: `endCreate(Set, Check, Printer)`
    `void` | `endCreate(java.util.Set<java.lang.Integer> cids, Check check, Printer printer)` Deprecated. Завершение формирование чека, подвал чека.
    `void` | `init(Setup setup, java.sql.Connection con, java.sql.Connection conSlave)` Deprecated. Инициализация.

- - ### Method Detail

    - #### init

          void init(Setup setup,
                    java.sql.Connection con,
                    java.sql.Connection conSlave)
             throws ru.bitel.bgbilling.common.BGException

      Deprecated.
      Инициализация.
      Parameters:
        `setup` - сетап серверный.
        `con` - коннекшен.
        `conSlave` - слейв-коннекшен.
      Throws:
        `ru.bitel.bgbilling.common.BGException` - бросается при ошибке.

    - #### addPayment

          void addPayment(Payment payment,
                          Check check,
                          Printer printer)
                   throws ru.bitel.bgbilling.common.BGException

      Deprecated.
      Добавление позиции в чек. Для формирования вида каждой позиции в чеке - добавление каментов может каких итд итп.
      Parameters:
        `payment` - объект паймент (расширеный, используемый в плагине CashCheck).
        `check` - чек, который надо сформировать в этом методе.
        `printer` - текущий принтер, на который собираемся печатать.
      Throws:
        `ru.bitel.bgbilling.common.BGException` - бросается при ошибке.

    - #### endCreate

          @Deprecated
          void endCreate(int cid,
                                     Check check,
                                     Printer printer)
                              throws ru.bitel.bgbilling.common.BGException

      Deprecated. использовать вариант с несколькими cids: `endCreate(Set, Check, Printer)`
      Завершение формирование чека, подвал чека. Для формирования вида подвала чека - можно там что-то написать или просто или в зависимости от условий из чека.
      Parameters:
        `cid` - контрактИд.
        `check` - чек, который надо сформировать в этом методе.
        `printer` - текущий принтер, на который собираемся печатать.
      Throws:
        `ru.bitel.bgbilling.common.BGException` - бросается при ошибке.

    - #### endCreate

          void endCreate(java.util.Set<java.lang.Integer> cids,
                         Check check,
                         Printer printer)
                  throws ru.bitel.bgbilling.common.BGException

      Deprecated.
      Завершение формирование чека, подвал чека. Для формирования вида подвала чека - можно там что-то написать или просто или в зависимости от условий из чека.
      Parameters:
        `cids` - один или несколько контрактИд. Несколько разных может быть, если договоры платежей в одном чеке зависимые друг от друга.
        `check` - чек, который надо сформировать в этом методе.
        `printer` - текущий принтер, на который собираемся печатать.
      Throws:
        `ru.bitel.bgbilling.common.BGException` - бросается при ошибке.